package ru.dbotthepony.mc.otm.network

import net.minecraftforge.network.NetworkDirection
import ru.dbotthepony.mc.otm.android.AndroidResearchManager
import ru.dbotthepony.mc.otm.matter.MatterManager

object RegistryNetworkChannel : MatteryNetworkChannel(
	version = "2",
	name = "registry"
) {
	fun register() {
		add(AndroidResearchManager.SyncPacket::class.java, AndroidResearchManager::readSyncPacket, NetworkDirection.PLAY_TO_CLIENT)
		add(MatterManager.SyncPacket::class.java, MatterManager::readSyncPacket, NetworkDirection.PLAY_TO_CLIENT)
	}
}
